package top.imwork.commons.core.pojo;

import java.util.Arrays;
import java.util.Objects;

/**
 * Copyright (C), 2015-2023
 * FileName: DeleteParams
 * Author<作者姓名>:   stars
 * CreateTime<创建时间>:   2023/3/18 22:57
 * UpdateTime<修改时间>:   2023/3/18 22:57
 * Description〈功能简述〉: 删除参数
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
public class DeleteParams {
    /**
     * id拼接字符串
     * 1，2，3
     */
    private String ids;
    /**
     * id数组
     */
    private String[] idsArr;
    /**
     * 是否刪除(默认N 未删除Y已删除）
     */
    private String delFlag;

    @Override
    public boolean equals(Object o) {
        if (!(o instanceof DeleteParams that)) return false;
        return Objects.equals(ids, that.ids) && Objects.deepEquals(idsArr, that.idsArr) && Objects.equals(delFlag, that.delFlag);
    }

    @Override
    public int hashCode() {
        return Objects.hash(ids, Arrays.hashCode(idsArr), delFlag);
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String[] getIdsArr() {
        return idsArr;
    }

    public void setIdsArr(String[] idsArr) {
        this.idsArr = idsArr;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}